Bug 708025 - [abrt] ibus-1.3.99.20110408-3.fc15: call_in_idle_cb: Process /usr/bin/ibus-daemon was killed by signal 6 (SIGABRT)
[abrt] ibus-1.3.99.20110408-3.fc15: call_in_idle_cb: Process /usr/bin/ibus-da...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:a3505fc603e36b427bc45b35dd8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 11:03 EDT by Maxwell Bottiger
Modified: 2011-06-24 02:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-24 02:22:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Maxwell Bottiger 2011-05-26 11:03:24 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        /usr/bin/ibus-daemon -r --xim
comment:        Crashed during switch from metacity to compiz
component:      ibus
crash_function: call_in_idle_cb
executable:     /usr/bin/ibus-daemon
kernel:         2.6.35.13-91.fc14.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.3.99.20110408-3.fc15
rating:         4
reason:         Process /usr/bin/ibus-daemon was killed by signal 6 (SIGABRT)
time:           Thu May 26 10:59:39 2011
uid:            502
username:       sleepylight

backtrace:
:[New LWP 2384]
:[New LWP 2387]
:[New LWP 2393]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/ibus-daemon -r --xim'.
:Program terminated with signal 6, Aborted.
:#0  0x00007ff4d30ba415 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
:	in ../nptl/sysdeps/unix/sysv/linux/raise.c
:
:Thread 3 (Thread 0x7ff4cb78e700 (LWP 2393)):
:#0  0x00007ff4d315b3e3 in __poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x00007ff4d38c30a4 in g_main_context_poll (n_fds=11, fds=0x7ff4bc0058c0, priority=<optimized out>, timeout=-1, context=0x7ff4c400a350) at gmain.c:3404
:        poll_func = 0x7ff4d38d1690 <g_poll>
:#2  g_main_context_iterate (context=0x7ff4c400a350, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3086
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 11
:        allocated_nfds = <optimized out>
:        fds = 0x7ff4bc0058c0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x00007ff4d38c398d in g_main_loop_run (loop=0x7ff4c400a330) at gmain.c:3299
:        self = 0x7ff4c400a430
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x00007ff4d44a85b4 in gdbus_shared_thread_func (data=<optimized out>) at gdbusprivate.c:276
:No locals.
:#5  0x00007ff4d38e86e4 in g_thread_create_proxy (data=0x7ff4c400a430) at gthread.c:1897
:        thread = 0x7ff4c400a430
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x00007ff4d3428cd1 in start_thread (arg=0x7ff4cb78e700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7ff4cb78e700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -6654132108483074312, 140689370834352, 140689362446784, 0, 3, 6651342672155404024, 6651359936233760504}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#7  0x00007ff4d3163d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 2 (Thread 0x7ff4cc790700 (LWP 2387)):
:#0  0x00007ff4d342f4ed in read () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#1  0x00007ff4d38c4a0b in read (__nbytes=20, __buf=0x7ff4cc78fdb0, __fd=<optimized out>) at /usr/include/bits/unistd.h:45
:No locals.
:#2  child_watch_helper_thread (data=<optimized out>) at gmain.c:4302
:        b = "B", '\000' <repeats 18 times>
:        list = <optimized out>
:#3  0x00007ff4d38e86e4 in g_thread_create_proxy (data=0x10a2db0) at gthread.c:1897
:        thread = 0x10a2db0
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#4  0x00007ff4d3428cd1 in start_thread (arg=0x7ff4cc790700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7ff4cc790700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -6654132108483074312, 140734417150688, 140689379232192, 0, 3, 6651358066391934712, 6651359936233760504}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#5  0x00007ff4d3163d3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7ff4d49087c0 (LWP 2384)):
:#0  0x00007ff4d30ba415 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = 2384
:        selftid = 2384
:#1  0x00007ff4d30bbd2b in abort () at abort.c:92
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, sa_mask = {__val = {140689498041442, 140689489308656, 140689515008000, 2048, 4294967296, 17428256, 17428256, 4294967295, 17265664, 17435088, 17435088, 3233464, 0, 140689500888112, 17065584, 140689497653248}}, sa_flags = -730689836, sa_restorer = 0x5}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x00007ff4d38e693d in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x7ff4d44e3820 "call_in_idle_cb", message=0x108d0a0 "assertion failed: (vtable != NULL && vtable->method_call != NULL)") at gtestutils.c:1358
:        lstr = "4414\000\177\000\000\220#\361H\377\177\000\000\300\214b\000\000\000\000\000H,N\324\364\177\000"
:        s = 0x10a09d0 "GLib-GIO:ERROR:gdbusconnection.c:4414:call_in_idle_cb: assertion failed: (vtable != NULL && vtable->method_call != NULL)"
:#3  0x00007ff4d38e6e62 in g_assertion_message_expr (domain=0x7ff4d44c6bc1 "GLib-GIO", file=0x7ff4d44e1db4 "gdbusconnection.c", line=4414, func=0x7ff4d44e3820 "call_in_idle_cb", expr=<optimized out>) at gtestutils.c:1369
:        s = <optimized out>
:#4  0x00007ff4d449a106 in call_in_idle_cb (user_data=0x1095de0) at gdbusconnection.c:4414
:        invocation = 0x1095de0 [GDBusMethodInvocation]
:        vtable = 0x1082610
:        registration_id = <optimized out>
:        subtree_registration_id = <optimized out>
:        __PRETTY_FUNCTION__ = "call_in_idle_cb"
:#5  0x00007ff4d38c2b6d in g_main_dispatch (context=0x1046670) at gmain.c:2440
:        dispatch = 0x7ff4d38beb20 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x1095de0
:        callback = 0x7ff4d4499f30 <call_in_idle_cb>
:        cb_funcs = 0x7ff4d3b95c30
:        cb_data = 0x7ff4bc003ed0
:        current_source_link = {data = 0x7ff4bc003e60, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x7ff4bc003e60
:        current = 0x1046840
:        i = <optimized out>
:#6  g_main_context_dispatch (context=0x1046670) at gmain.c:3013
:No locals.
:#7  0x00007ff4d38c3348 in g_main_context_iterate (context=0x1046670, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3091
:        max_priority = 2147483647
:        timeout = 4931
:        some_ready = 1
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#8  0x00007ff4d38c398d in g_main_loop_run (loop=0x1038590) at gmain.c:3299
:        self = 0x1016100
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#9  0x0000000000417fca in bus_server_run () at server.c:101
:        __PRETTY_FUNCTION__ = "bus_server_run"
:#10 0x0000000000406b68 in main (argc=1, argv=0x7fff48f126d8) at main.c:291
:        context = <optimized out>
:        error = 0x0
:From                To                  Syms Read   Shared Object Library
:0x00007ff4d441d480  0x00007ff4d44c6b8c  Yes         /lib64/libgio-2.0.so.0
:0x00007ff4d41af910  0x00007ff4d41dfd8c  Yes         /lib64/libgobject-2.0.so.0
:0x00007ff4d3fa3fe0  0x00007ff4d3fa4f8c  Yes         /lib64/libgmodule-2.0.so.0
:0x00007ff4d3da0560  0x00007ff4d3da1a2c  Yes         /lib64/libgthread-2.0.so.0
:0x00007ff4d3b991b0  0x00007ff4d3b9c5ec  Yes         /lib64/librt.so.1
:0x00007ff4d3896c70  0x00007ff4d392defc  Yes         /lib64/libglib-2.0.so.0
:0x00007ff4d3649f30  0x00007ff4d3665acc  Yes         /usr/lib64/libibus-1.0.so.0
:0x00007ff4d3426690  0x00007ff4d3431a4c  Yes         /lib64/libpthread.so.0
:0x00007ff4d30a2c80  0x00007ff4d31c68ac  Yes         /lib64/libc.so.6
:0x00007ff4d2e80de0  0x00007ff4d2e8191c  Yes         /lib64/libdl.so.2
:0x00007ff4d2c68890  0x00007ff4d2c7894c  Yes         /lib64/libresolv.so.2
:0x00007ff4d2a4fe70  0x00007ff4d2a5c67c  Yes         /lib64/libz.so.1
:0x00007ff4d2834980  0x00007ff4d28449dc  Yes         /lib64/libselinux.so.1
:0x00007ff4d471bb20  0x00007ff4d473454a  Yes         /lib64/ld-linux-x86-64.so.2
:0x00007ff4cc793190  0x00007ff4cc79a5dc  Yes         /lib64/libnss_files.so.2
:$1 = 0x0
:$2 = 0x1092c00 "GLib-GIO:ERROR:gdbusconnection.c:4414:call_in_idle_cb: assertion failed: (vtable != NULL && vtable->method_call != NULL)"
:rax            0x0	0
:rbx            0x10a09d0	17435088
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x950	2384
:rdi            0x950	2384
:rbp            0x7ff4d3b963e0	0x7ff4d3b963e0
:rsp            0x7fff48f12218	0x7fff48f12218
:r8             0x20	32
:r9             0x1	1
:r10            0x8	8
:r11            0x206	518
:r12            0x7ff4d44e3820	140689510643744
:r13            0x108d0a0	17354912
:r14            0x7ff4d3b95c30	140689500888112
:r15            0x1046670	17065584
:rip            0x7ff4d30ba415	0x7ff4d30ba415 <raise+53>
:eflags         0x206	[ PF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function raise:
:   0x00007ff4d30ba3e0 <+0>:	mov    %fs:0x2d4,%eax
:   0x00007ff4d30ba3e8 <+8>:	mov    %fs:0x2d0,%esi
:   0x00007ff4d30ba3f0 <+16>:	test   %esi,%esi
:   0x00007ff4d30ba3f2 <+18>:	jne    0x7ff4d30ba420 <raise+64>
:   0x00007ff4d30ba3f4 <+20>:	mov    $0xba,%eax
:   0x00007ff4d30ba3f9 <+25>:	syscall 
:   0x00007ff4d30ba3fb <+27>:	mov    %eax,%esi
:   0x00007ff4d30ba3fd <+29>:	mov    %eax,%fs:0x2d0
:   0x00007ff4d30ba405 <+37>:	movslq %edi,%rdx
:   0x00007ff4d30ba408 <+40>:	movslq %esi,%rsi
:   0x00007ff4d30ba40b <+43>:	movslq %eax,%rdi
:   0x00007ff4d30ba40e <+46>:	mov    $0xea,%eax
:   0x00007ff4d30ba413 <+51>:	syscall 
:=> 0x00007ff4d30ba415 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x00007ff4d30ba41b <+59>:	ja     0x7ff4d30ba42f <raise+79>
:   0x00007ff4d30ba41d <+61>:	repz retq 
:   0x00007ff4d30ba41f <+63>:	nop
:   0x00007ff4d30ba420 <+64>:	test   %eax,%eax
:   0x00007ff4d30ba422 <+66>:	jg     0x7ff4d30ba405 <raise+37>
:   0x00007ff4d30ba424 <+68>:	test   $0x7fffffff,%eax
:   0x00007ff4d30ba429 <+73>:	je     0x7ff4d30ba440 <raise+96>
:   0x00007ff4d30ba42b <+75>:	neg    %eax
:   0x00007ff4d30ba42d <+77>:	jmp    0x7ff4d30ba405 <raise+37>
:   0x00007ff4d30ba42f <+79>:	mov    0x35fb6a(%rip),%rdx        # 0x7ff4d3419fa0
:   0x00007ff4d30ba436 <+86>:	neg    %eax
:   0x00007ff4d30ba438 <+88>:	mov    %eax,%fs:(%rdx)
:   0x00007ff4d30ba43b <+91>:	or     $0xffffffffffffffff,%rax
:   0x00007ff4d30ba43f <+95>:	retq   
:   0x00007ff4d30ba440 <+96>:	mov    %esi,%eax
:   0x00007ff4d30ba442 <+98>:	jmp    0x7ff4d30ba405 <raise+37>
:End of assembler dump.

build_ids:
:9fd7f9c1f8b41211bd210e10f915ef69cea6a2ee
:d1f30bf683284cb395c8aac36d1fac1f74ef9e72
:8f67031b50aa96f0a6ae7c89efed129297831c5d
:2c35820baaea8571d8a8dc977f23cc7f629ddcb4
:21ad5b8ca30ad4dbb2190cfd19b03c69958ad013
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:1055ac8cb851ad0f25c1533682ed949a1d85c826
:a7158bee1dfaecfbd81d16bc6b31b082b0d5244a
:5d363f921f4545ef2e76fa9405d096745d4177fd
:f5ddd307b2691e076333c9b12c50f3d20ce16ccf
:2f709c0d80b7741b678d35892b3ffacecc03d50c
:e5f626726497a81807681ed0088dbce6d6a1f17b
:5cc111ce758441128d08b5bc105a37addbc28a93
:d54647ce3fe0f70c8d886886d69b0fb5038371fa
:415dd94df0672c555dd4b2a4ef9dbf530694c82c
:b3900bee00b584ef0bfe2adc2f9b9aed93870bc0

dsos:
:/lib64/libglib-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306410724
:/lib64/libgmodule-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306410724
:/usr/lib/locale/locale-archive glibc-common-2.13.90-9.x86_64 (Fedora Project) 1306410662
:/lib64/ld-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306410672
:/lib64/libgio-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306410724
:/lib64/libresolv-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306410672
:/lib64/libgobject-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306410724
:/lib64/librt-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306410672
:/lib64/libnss_files-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306410672
:/lib64/libc-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306410672
:/lib64/libpthread-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306410672
:/usr/lib64/libibus-1.0.so.0.0.0 ibus-libs-1.3.99.20110408-3.fc15.x86_64 (Fedora Project) 1306411047
:/usr/bin/ibus-daemon ibus-1.3.99.20110408-3.fc15.x86_64 (Fedora Project) 1306412020
:/lib64/libdl-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306410672
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1306410722
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1306410676
:/lib64/libgthread-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306410724

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-3LMSN02Tou,guid=30ae677ae3c541b18746b5e5000000a4
:XDG_SESSION_COOKIE=d82dd0bea9097d469edf0ef800000012-1306421932.156894-79075097
:XDG_RUNTIME_DIR=/run/user/sleepylight
:DISPLAY=:0
:DESKTOP_SESSION=compiz-gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=compiz-gnome
:USERNAME=sleepylight
:XDG_SESSION_ID=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3LMSN02Tou,guid=30ae677ae3c541b18746b5e5000000a4
:XAUTHORITY=/var/run/gdm/auth-for-sleepylight-2eendU/database
:USER=sleepylight
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1846
:SHLVL=1
:PWD=/home/sleepylight
:GDM_LANG=
:GNOME_KEYRING_CONTROL=/tmp/keyring-RsmfRh
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=sleepylight
:HOME=/home/sleepylight
:LC_CTYPE=en_US.UTF-8

event_log:
:2011-05-26-11:00:27> Analyzing coredump 'coredump'
:2011-05-26-11:00:28  Coredump references 16 debuginfo files, 16 of them are not installed
:2011-05-26-11:00:29  Looking for needed packages in repositories
:2011-05-26-11:01:32  Packages to download: 5
:2011-05-26-11:01:32  Downloading 13.24Mb, installed size: 80.25Mb
:2011-05-26-11:01:34  Downloading (1 of 5) libselinux-debuginfo-2.0.99-4.fc15.x86_64.rpm: 100%
:2011-05-26-11:01:34  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-26-11:00:28.2688/libselinux-debuginfo-2.0.99-4.fc15.x86_64.rpm
:2011-05-26-11:01:34  Caching files from unpacked.cpio made from libselinux-debuginfo-2.0.99-4.fc15.x86_64.rpm
:2011-05-26-11:01:36  Downloading (2 of 5) zlib-debuginfo-1.2.5-3.fc15.x86_64.rpm: 100%
:2011-05-26-11:01:36  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-26-11:00:28.2688/zlib-debuginfo-1.2.5-3.fc15.x86_64.rpm
:2011-05-26-11:01:36  Caching files from unpacked.cpio made from zlib-debuginfo-1.2.5-3.fc15.x86_64.rpm
:2011-05-26-11:01:43  Downloading (3 of 5) glib2-debuginfo-2.28.6-2.fc15.x86_64.rpm: 100%
:2011-05-26-11:01:43  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-26-11:00:28.2688/glib2-debuginfo-2.28.6-2.fc15.x86_64.rpm
:2011-05-26-11:01:44  Caching files from unpacked.cpio made from glib2-debuginfo-2.28.6-2.fc15.x86_64.rpm
:2011-05-26-11:01:55  Downloading (4 of 5) glibc-debuginfo-2.13.90-9.x86_64.rpm:  85%
:2011-05-26-11:01:56  Downloading (4 of 5) glibc-debuginfo-2.13.90-9.x86_64.rpm: 100%
:2011-05-26-11:01:56  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-26-11:00:28.2688/glibc-debuginfo-2.13.90-9.x86_64.rpm
:2011-05-26-11:02:00  Caching files from unpacked.cpio made from glibc-debuginfo-2.13.90-9.x86_64.rpm
:2011-05-26-11:02:04  Downloading (5 of 5) ibus-debuginfo-1.3.99.20110408-3.fc15.x86_64.rpm: 100%
:2011-05-26-11:02:04  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-26-11:00:28.2688/ibus-debuginfo-1.3.99.20110408-3.fc15.x86_64.rpm
:2011-05-26-11:02:05  Caching files from unpacked.cpio made from ibus-debuginfo-1.3.99.20110408-3.fc15.x86_64.rpm
:2011-05-26-11:02:05  All downloaded packages have been extracted, removing /tmp/abrt-tmp-debuginfo-2011-05-26-11:00:28.2688
:2011-05-26-11:02:06  Backtrace is generated and saved, 10358 bytes

maps:
:00400000-00428000 r-xp 00000000 08:06 5798237                            /usr/bin/ibus-daemon
:00628000-00629000 rw-p 00028000 08:06 5798237                            /usr/bin/ibus-daemon
:01012000-010d6000 rw-p 00000000 00:00 0                                  [heap]
:7ff4bc000000-7ff4bc022000 rw-p 00000000 00:00 0 
:7ff4bc022000-7ff4c0000000 ---p 00000000 00:00 0 
:7ff4c4000000-7ff4c4022000 rw-p 00000000 00:00 0 
:7ff4c4022000-7ff4c8000000 ---p 00000000 00:00 0 
:7ff4caf8e000-7ff4caf8f000 ---p 00000000 00:00 0 
:7ff4caf8f000-7ff4cb78f000 rw-p 00000000 00:00 0 
:7ff4cb78f000-7ff4cb790000 ---p 00000000 00:00 0 
:7ff4cb790000-7ff4cbf90000 rw-p 00000000 00:00 0 
:7ff4cbf90000-7ff4cbf91000 ---p 00000000 00:00 0 
:7ff4cbf91000-7ff4cc791000 rw-p 00000000 00:00 0 
:7ff4cc791000-7ff4cc79d000 r-xp 00000000 08:06 5809266                    /lib64/libnss_files-2.13.90.so
:7ff4cc79d000-7ff4cc99c000 ---p 0000c000 08:06 5809266                    /lib64/libnss_files-2.13.90.so
:7ff4cc99c000-7ff4cc99d000 r--p 0000b000 08:06 5809266                    /lib64/libnss_files-2.13.90.so
:7ff4cc99d000-7ff4cc99e000 rw-p 0000c000 08:06 5809266                    /lib64/libnss_files-2.13.90.so
:7ff4cc99e000-7ff4d282f000 r--p 00000000 08:06 5809065                    /usr/lib/locale/locale-archive
:7ff4d282f000-7ff4d284c000 r-xp 00000000 08:06 5816327                    /lib64/libselinux.so.1
:7ff4d284c000-7ff4d2a4b000 ---p 0001d000 08:06 5816327                    /lib64/libselinux.so.1
:7ff4d2a4b000-7ff4d2a4c000 r--p 0001c000 08:06 5816327                    /lib64/libselinux.so.1
:7ff4d2a4c000-7ff4d2a4d000 rw-p 0001d000 08:06 5816327                    /lib64/libselinux.so.1
:7ff4d2a4d000-7ff4d2a4e000 rw-p 00000000 00:00 0 
:7ff4d2a4e000-7ff4d2a64000 r-xp 00000000 08:06 5816049                    /lib64/libz.so.1.2.5
:7ff4d2a64000-7ff4d2c64000 ---p 00016000 08:06 5816049                    /lib64/libz.so.1.2.5
:7ff4d2c64000-7ff4d2c65000 rw-p 00016000 08:06 5816049                    /lib64/libz.so.1.2.5
:7ff4d2c65000-7ff4d2c7c000 r-xp 00000000 08:06 5815802                    /lib64/libresolv-2.13.90.so
:7ff4d2c7c000-7ff4d2e7c000 ---p 00017000 08:06 5815802                    /lib64/libresolv-2.13.90.so
:7ff4d2e7c000-7ff4d2e7d000 r--p 00017000 08:06 5815802                    /lib64/libresolv-2.13.90.so
:7ff4d2e7d000-7ff4d2e7e000 rw-p 00018000 08:06 5815802                    /lib64/libresolv-2.13.90.so
:7ff4d2e7e000-7ff4d2e80000 rw-p 00000000 00:00 0 
:7ff4d2e80000-7ff4d2e82000 r-xp 00000000 08:06 5809152                    /lib64/libdl-2.13.90.so
:7ff4d2e82000-7ff4d3082000 ---p 00002000 08:06 5809152                    /lib64/libdl-2.13.90.so
:7ff4d3082000-7ff4d3083000 r--p 00002000 08:06 5809152                    /lib64/libdl-2.13.90.so
:7ff4d3083000-7ff4d3084000 rw-p 00003000 08:06 5809152                    /lib64/libdl-2.13.90.so
:7ff4d3084000-7ff4d3216000 r-xp 00000000 08:06 5809146                    /lib64/libc-2.13.90.so
:7ff4d3216000-7ff4d3416000 ---p 00192000 08:06 5809146                    /lib64/libc-2.13.90.so
:7ff4d3416000-7ff4d341a000 r--p 00192000 08:06 5809146                    /lib64/libc-2.13.90.so
:7ff4d341a000-7ff4d341b000 rw-p 00196000 08:06 5809146                    /lib64/libc-2.13.90.so
:7ff4d341b000-7ff4d3421000 rw-p 00000000 00:00 0 
:7ff4d3421000-7ff4d3438000 r-xp 00000000 08:06 5815800                    /lib64/libpthread-2.13.90.so
:7ff4d3438000-7ff4d3637000 ---p 00017000 08:06 5815800                    /lib64/libpthread-2.13.90.so
:7ff4d3637000-7ff4d3638000 r--p 00016000 08:06 5815800                    /lib64/libpthread-2.13.90.so
:7ff4d3638000-7ff4d3639000 rw-p 00017000 08:06 5815800                    /lib64/libpthread-2.13.90.so
:7ff4d3639000-7ff4d363d000 rw-p 00000000 00:00 0 
:7ff4d363d000-7ff4d367d000 r-xp 00000000 08:06 5819299                    /usr/lib64/libibus-1.0.so.0.0.0
:7ff4d367d000-7ff4d387d000 ---p 00040000 08:06 5819299                    /usr/lib64/libibus-1.0.so.0.0.0
:7ff4d387d000-7ff4d387f000 rw-p 00040000 08:06 5819299                    /usr/lib64/libibus-1.0.so.0.0.0
:7ff4d387f000-7ff4d3880000 rw-p 00000000 00:00 0 
:7ff4d3880000-7ff4d3995000 r-xp 00000000 08:06 5818409                    /lib64/libglib-2.0.so.0.2800.6
:7ff4d3995000-7ff4d3b95000 ---p 00115000 08:06 5818409                    /lib64/libglib-2.0.so.0.2800.6
:7ff4d3b95000-7ff4d3b96000 rw-p 00115000 08:06 5818409                    /lib64/libglib-2.0.so.0.2800.6
:7ff4d3b96000-7ff4d3b97000 rw-p 00000000 00:00 0 
:7ff4d3b97000-7ff4d3b9e000 r-xp 00000000 08:06 5815806                    /lib64/librt-2.13.90.so
:7ff4d3b9e000-7ff4d3d9d000 ---p 00007000 08:06 5815806                    /lib64/librt-2.13.90.so
:7ff4d3d9d000-7ff4d3d9e000 r--p 00006000 08:06 5815806                    /lib64/librt-2.13.90.so
:7ff4d3d9e000-7ff4d3d9f000 rw-p 00007000 08:06 5815806                    /lib64/librt-2.13.90.so
:7ff4d3d9f000-7ff4d3da3000 r-xp 00000000 08:06 5818419                    /lib64/libgthread-2.0.so.0.2800.6
:7ff4d3da3000-7ff4d3fa2000 ---p 00004000 08:06 5818419                    /lib64/libgthread-2.0.so.0.2800.6
:7ff4d3fa2000-7ff4d3fa3000 rw-p 00003000 08:06 5818419                    /lib64/libgthread-2.0.so.0.2800.6
:7ff4d3fa3000-7ff4d3fa6000 r-xp 00000000 08:06 5818411                    /lib64/libgmodule-2.0.so.0.2800.6
:7ff4d3fa6000-7ff4d41a5000 ---p 00003000 08:06 5818411                    /lib64/libgmodule-2.0.so.0.2800.6
:7ff4d41a5000-7ff4d41a6000 rw-p 00002000 08:06 5818411                    /lib64/libgmodule-2.0.so.0.2800.6
:7ff4d41a6000-7ff4d41f2000 r-xp 00000000 08:06 5818413                    /lib64/libgobject-2.0.so.0.2800.6
:7ff4d41f2000-7ff4d43f1000 ---p 0004c000 08:06 5818413                    /lib64/libgobject-2.0.so.0.2800.6
:7ff4d43f1000-7ff4d43f3000 rw-p 0004b000 08:06 5818413                    /lib64/libgobject-2.0.so.0.2800.6
:7ff4d43f3000-7ff4d43f4000 rw-p 00000000 00:00 0 
:7ff4d43f4000-7ff4d4515000 r-xp 00000000 08:06 5773692                    /lib64/libgio-2.0.so.0.2800.6
:7ff4d4515000-7ff4d4714000 ---p 00121000 08:06 5773692                    /lib64/libgio-2.0.so.0.2800.6
:7ff4d4714000-7ff4d471a000 rw-p 00120000 08:06 5773692                    /lib64/libgio-2.0.so.0.2800.6
:7ff4d471a000-7ff4d471b000 rw-p 00000000 00:00 0 
:7ff4d471b000-7ff4d473c000 r-xp 00000000 08:06 5789820                    /lib64/ld-2.13.90.so
:7ff4d4908000-7ff4d4910000 rw-p 00000000 00:00 0 
:7ff4d493a000-7ff4d493b000 rw-p 00000000 00:00 0 
:7ff4d493b000-7ff4d493c000 r--p 00020000 08:06 5789820                    /lib64/ld-2.13.90.so
:7ff4d493c000-7ff4d493d000 rw-p 00021000 08:06 5789820                    /lib64/ld-2.13.90.so
:7ff4d493d000-7ff4d493e000 rw-p 00000000 00:00 0 
:7fff48ef3000-7fff48f14000 rw-p 00000000 00:00 0                          [stack]
:7fff48ff7000-7fff48ff8000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Comment 1 fujiwara 2011-05-27 04:43:19 EDT
(In reply to comment #0)
> comment:        Crashed during switch from metacity to compiz

> 
> backtrace:
> :Thread 1 (Thread 0x7ff4d49087c0 (LWP 2384)):
> :#0  0x00007ff4d30ba415 in raise (sig=6) at
> :#1  0x00007ff4d30bbd2b in abort () at abort.c:92
> :#2  0x00007ff4d38e693d in g_assertion_message () at gtestutils.c:1358
> :#3  0x00007ff4d38e6e62 in g_assertion_message_expr () at gtestutils.c:1369
> :#4  0x00007ff4d449a106 in call_in_idle_cb (user_data=0x1095de0) at
> gdbusconnection.c:4414

Do you mean whenever you switch metacity to compiz, you get the crash immediately?
I cannot reproduce your problem.

I use compiz-gtk as the window manager.

% compiz-gtk --replace

compiz works fine with ibus.
call_in_idle_cb() is not called in my system.
How do you reproduce your problem?
Comment 2 fujiwara 2011-06-15 01:17:26 EDT
Any updates?

Note You need to log in before you can comment on or make changes to this bug.